** PROGRAMMNAME.........: FMVFPSQLDATE.PRG
** DATENBANKSYSTEM......: Visual FoxPro 09.00.0000.3504 for Windows
** SYSTEM...............: Bibliotheksfunktion
*) BESCHREIBUNG.........: Definiert einen Datums/Datetimewert, wie er
*)                        als Konstante in SQL Befehlen verwendet werden kann
** PARAMETERS PASSED....: <ExpD/T>  gewnschtes Datum
** PARAMETERS RETURNED..: <ExpC>    String fr SQL Statement, z.B.
**                                  "DATE(2007, 1, 31)" oder
**                                  "DATETIME(2007, 1, 31, 16, 53, 56)"
** BEMERKUNGEN..........: wird etwas anderes als D/T bergeben, wird das
**                        Tagesdatum verwendet, Leerdatum {} ist mglich
** AUTHOR...............: murmi
** ERSTELLT AM..........: 31.01.2007
** LETZTE AENDERUNG.....:
**
********************************************************************
* COPYRIGHT: Maurhofer Informatik AG  - Softwareentwicklung        *
*            Gossauerstrasse 14, CH-8340 Hinwil Tel. 043 843 04 44 *
*            http://www.maurhofer-informatik.ch                    *
********************************************************************
LPARAMETERS tdDatum

LOCAL lcRetVal

IF NOT TYPE("tdDatum") $ "DT"
   tdDatum = DATE()
ENDIF

IF EMPTY(NVL(tdDatum,""))
   lcRetVal = '{}'
ELSE
   IF TYPE("tdDatum") = "D"
      * Datum
      lcRetVal = "DATE(" + TRANSFORM(YEAR(tdDatum)) + ", " +;
                           TRANSFORM(MONTH(tdDatum)) + ", " +;
                           TRANSFORM(DAY(tdDatum)) + ")"
   ELSE
      * Datetime
      lcRetVal = "DATETIME(" + TRANSFORM(YEAR(tdDatum)) + ", " +;
                           TRANSFORM(MONTH(tdDatum)) + ", " +;
                           TRANSFORM(DAY(tdDatum)) + ", " +;
                           TRANSFORM(HOUR(tdDatum)) + ", " +;
                           TRANSFORM(MINUTE(tdDatum)) + ", " +;
                           TRANSFORM(SEC(tdDatum)) + ")"
   ENDIF 
ENDIF EMPTY(tdDatum)
RETURN lcRetVal
