** PROGRAMMNAME.........: FMSQLDATE.PRG
** DATENBANKSYSTEM......: Visual FoxPro 09.00.0000.3504 for Windows
** SYSTEM...............: Library-Funktion
*) BESCHREIBUNG.........: Liefert eine Datumskonstante zurck im
*)                        korrekten Format zwecks Verwendung in SQL-Server Statements
** PARAMETERS PASSED....: <ExpD/T> gewnschtes Datum (leer = Tagesdatum)
** PARAMETERS RETURNED..: <ExpC>   Datumskonstante (Format MM/TT/JJJJ)
**                                 bzw. Date/Time Format
** BEMERKUNGEN..........: ein leeres Datum wird mit '.NULL.' zurckgegeben
**                        
** AUTHOR...............: Fritz Maurhofer
** ERSTELLT AM..........: 01.02.2007 portiert nach VFP 9 (und alte Vers. entfernt)
** LETZTE AENDERUNG.....: 
********************************************************************
* COPYRIGHT: Maurhofer Informatik AG  - Softwareentwicklung        *
*            Gossauerstrasse 14, CH-8340 Hinwil Tel. 043 843 04 44 *
*            http://www.maurhofer-informatik.ch                    *
********************************************************************
LPARAMETERS tdDatum
LOCAL lcRetVal, lcDelimiters, lcTDelimiters

* Datumsbegrenzer
lcDelimiters = "-"
* Begrenzer fr Zeitteil
lcTDelimiters = ":"

* Versuch, ein Character Datum
* (muss aktueller Einstellung entsprechen)
* in ein Datum umzuwandeln
IF TYPE("tdDatum") $ "C"
    tdDatum = CTOD(tdDatum)
ENDIF

IF NOT TYPE("tdDatum") $ "DT"
   tdDatum = DATE()
ENDIF

IF EMPTY(tdDatum)
   lcRetVal = 'NULL'
ELSE
   IF TYPE("tdDatum") = "D"
      lcRetVal = "{d '" + STR(YEAR(tdDatum),4) + lcDelimiters + ;
                 RIGHT(STR(100 + MONTH(tdDatum),3),2) + lcDelimiters + ;
                 RIGHT(STR(100 + DAY(tdDatum),3),2) + "'}"

   ELSE
      * sonst Datetime
      lcRetVal = "{ts '" + STR(YEAR(tdDatum),4) + lcDelimiters + ;
                 RIGHT(STR(100 + MONTH(tdDatum),3),2) + lcDelimiters + ;
                 RIGHT(STR(100 + DAY(tdDatum),3),2) + " " + ;
                 PADL(ALLTRIM(STR(HOUR(tdDatum))),2,"0") + lcTDelimiters + ;
                 PADL(ALLTRIM(STR(MINUTE(tdDatum))),2,"0") + lcTDelimiters + ;
                 PADL(ALLTRIM(STR(SEC(tdDatum))),2,"0") + "'}"
                 
   ENDIF
ENDIF

RETURN lcRetVal
